=== debian/changelog ===
postsrsd (1.2-1) unstable; urgency=medium

  * Initial release (Closes: #757720)

 -- Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>  Fri, 26 Dec 2014 17:35:38 +0100
