=== debian/control ===
Source: postsrsd
Section: mail
Priority: optional
Maintainer: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
Build-Depends: debhelper (>= 9), cmake, dh-systemd, dh-apparmor, po-debconf
Standards-Version: 3.9.6
Homepage: https://github.com/roehling/postsrsd
Vcs-Git: git://anonscm.debian.org/collab-maint/postsrsd.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/postsrsd.git

Package: postsrsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf
Description: Sender Rewriting Scheme (SRS) lookup table for Postfix
 PostSRSd provides Sender Rewriting Scheme (SRS) support for Postfix via
 TCP-based lookup tables. SRS is needed if your mail server acts as a forwarder,
 and the mail originates from a server with Sender Policy Framework (SPF)
 enabled.
