=== debian/rules ===
#!/usr/bin/make -f

# export build flags
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake --with=systemd

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=cmake -- -DCMAKE_BUILD_TYPE=Release -DGENERATE_SRS_SECRET=OFF -DCHROOT_DIR=/var/lib/postsrsd -DUSE_APPARMOR=ON -DINIT_FLAVOR=

override_dh_install:
	dh_install
	dh_apparmor --profile-name=usr.sbin.postsrsd

override_dh_installinit:
	dh_installinit --restart-after-upgrade
	install -m 0644 obj-$(DEB_HOST_GNU_TYPE)/postsrsd.default debian/postsrsd/usr/share/postsrsd/postsrsd.template
	install -m 0755 obj-$(DEB_HOST_GNU_TYPE)/postsrsd.sysv-lsb debian/postsrsd/etc/init.d/postsrsd
	install -m 0644 obj-$(DEB_HOST_GNU_TYPE)/postsrsd.upstart debian/postsrsd/etc/init/postsrsd.conf
