=== debian/watch ===
version=3
https://github.com/roehling/postsrsd/releases .*/(\d\S*)\.tar\.gz
