## postsrsd 1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,14 +7,27 @@
 
 set(CHROOT_DIR "${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}" CACHE PATH "Chroot jail for daemon")
 set(SYSCONF_DIR "/etc" CACHE PATH "Global system configuration folder")
+set(SYSD_UNIT_DIR "${SYSCONF_DIR}/systemd/system" CACHE PATH "Systemd unit file folder")
 set(CONFIG_DIR "${SYSCONF_DIR}/default" CACHE PATH "Location of startup configuration file")
 set(DOC_DIR "share/doc/${PROJECT_NAME}" CACHE PATH "Path for documentation files")
+mark_as_advanced(CHROOT_DIR SYSCONF_DIR SYSD_UNIT_DIR CONFIG_DIR DOC_DIR)
 
 find_program(HELP2MAN help2man DOC "path to help2man executable")
 find_program(DD dd DOC "path to dd executable")
 find_program(BASE64 base64 DOC "path to base64 executable")
+find_program(OPENSSL openssl DOC "path to OpenSSL executable")
 find_program(INSSERV insserv DOC "path to insserv executable")
 find_program(CHKCONFIG chkconfig DOC "path to chkconfig executable")
+find_library(LIBSOCKET socket)
+find_library(LIBNSL nsl)
+
+if(BASE64)
+    set(BASE64_ENCODE "${BASE64}")
+elseif(OPENSSL)
+    set(BASE64_ENCODE "${OPENSSL} base64 -e")
+else()
+    set(BASE64_ENCODE "")
+endif()
 
 check_include_file(sys/wait.h HAVE_SYS_WAIT_H)
 if(HAVE_SYS_WAIT_H)
@@ -32,9 +45,17 @@
 if(HAVE_TIME_H)
     add_definitions(-DHAVE_TIME_H)
 endif()
+check_include_file(alloca.h HAVE_ALLOCA_H)
+if(HAVE_ALLOCA_H)
+    add_definitions(-DHAVE_ALLOCA_H)
+endif()
+check_include_file(sys/types.h HAVE_SYS_TYPES_H)
+if(HAVE_SYS_TYPES_H)
+    add_definitions(-DHAVE_SYS_TYPES_H)
+endif()
 
 if(NOT DEFINED INIT_FLAVOR)
-	if(IS_DIRECTORY "${SYSCONF_DIR}/systemd" AND EXISTS "/usr/lib/systemd/systemd")
+	if(IS_DIRECTORY "${SYSD_UNIT_DIR}" AND EXISTS "/usr/lib/systemd/systemd")
         message(STATUS "Detected init flavor: systemd")
         set(INIT_FLAVOR "systemd" CACHE STRING "Init daemon of this system")
     elseif(IS_DIRECTORY "${SYSCONF_DIR}/init" AND EXISTS "/lib/init/upstart-job")
@@ -54,6 +75,10 @@
 endif()
 
 add_executable(${PROJECT_NAME} postsrsd.c sha1.c srs2.c)
+
+if(${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
+    target_link_libraries(${PROJECT_NAME} ${LIBSOCKET} ${LIBNSL})
+endif()
 
 get_target_property(POSTSRSD ${PROJECT_NAME} LOCATION)
 get_filename_component(POSTSRSD ${POSTSRSD} NAME_WE)
@@ -83,6 +108,6 @@
 endif()
 
 install(TARGETS ${PROJECT_NAME} DESTINATION "sbin")
-install(FILES README.md main.cf.ex DESTINATION "${DOC_DIR}")
+install(FILES README.md README_UPGRADE.md main.cf.ex DESTINATION "${DOC_DIR}")
 install(SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/postinstall.cmake")
