=== debian/changelog ===
postsrsd (1.4-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Uncontrolled Resource Consumption
    - debian/patches/CVE-2020-35573.patch: SECURITY: Fix potential denial of
      service attack against PostSRSd.
    - CVE-2020-35573

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Fri, 05 Feb 2021 12:40:14 +0000

postsrsd (1.4-1) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #797861

  [ Debconf translation updates ]
  * Czech (Michal Simunek).  Closes: #801118
  * German (Chris Leick).  Closes: #801149
  * French (Julien Patriarca).  Closes: #801179
  * Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #801188
  * Russian (Yuri Kozlov).  Closes: #801619
  * Spanish (Camaleón).  Closes: #801685
  * Dutch (Frans Spiesschaert).  Closes: #801705
  * Portuguese (Américo Monteiro).  Closes: #801824
  * Polish (Łukasz Dulny).  Closes: #801620
  * Italian (Beatrice Torracca).  Closes: #801874
  * Danish (Joe Hansen).  Closes: #801890

  [ Oxan van Leeuwen ]
  * New upstream release (Closes: #849307)
  * Run under postsrsd user by default instead of nobody (Closes: #801916)
  * Enable PIE and bindnow hardening options
  * Don't overwrite SRS_DOMAIN setting when manually changed by user

  [ Tomasz Buchert ]
  * Bumped Standards-Version to 3.9.8
  * Update to debhelper compat level 10 and drop dh-systemd dependency
  * Use version 4 watch file

 -- Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>  Thu, 19 Jan 2017 15:07:09 +0100
