=== debian/control ===
Source: postsrsd
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
Build-Depends: cmake, debhelper (>= 10), dh-apparmor, po-debconf
Standards-Version: 3.9.8
Homepage: https://github.com/roehling/postsrsd
Vcs-Git: https://anonscm.debian.org/git/collab-maint/postsrsd.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/postsrsd.git

Package: postsrsd
Architecture: any
Depends: adduser, debconf, lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Description: Sender Rewriting Scheme (SRS) lookup table for Postfix
 PostSRSd provides Sender Rewriting Scheme (SRS) support for Postfix via
 TCP-based lookup tables. SRS is needed if your mail server acts as a forwarder,
 and the mail originates from a server with Sender Policy Framework (SPF)
 enabled.
