## postsrsd 1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,15 @@
 cmake_minimum_required(VERSION 2.4)
+if(COMMAND cmake_policy)
+    if(POLICY CMP0026)
+        cmake_policy(SET CMP0026 OLD)
+    endif()
+endif()
 project(postsrsd C)
 include(CheckIncludeFile)
 
 option(GENERATE_SRS_SECRET "Generate a random SRS secret if none exists during install" ON)
 option(USE_APPARMOR "Enable AppArmor profile" OFF)
+option(USE_SELINUX "Enable SELinux policy module" OFF)
 
 set(CHROOT_DIR "${CMAKE_INSTALL_PREFIX}/lib/${PROJECT_NAME}" CACHE PATH "Chroot jail for daemon")
 set(SYSCONF_DIR "/etc" CACHE PATH "Global system configuration folder")
@@ -75,9 +81,13 @@
 endif()
 
 add_executable(${PROJECT_NAME} postsrsd.c sha1.c srs2.c)
+enable_testing()
+add_executable(${PROJECT_NAME}_tests tests.c sha1.c srs2.c)
+add_test(AllTests ${PROJECT_NAME}_tests)
 
 if(${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
     target_link_libraries(${PROJECT_NAME} ${LIBSOCKET} ${LIBNSL})
+    target_link_libraries(${PROJECT_NAME}_tests ${LIBSOCKET} ${LIBNSL})
 endif()
 
 get_target_property(POSTSRSD ${PROJECT_NAME} LOCATION)
@@ -107,6 +117,15 @@
 	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.apparmor DESTINATION "${SYSCONF_DIR}/apparmor.d" RENAME "${APPARMOR_PROFILE}")
 endif()
 
+if(USE_SELINUX)
+	file(COPY selinux/${PROJECT_NAME}.te selinux/${PROJECT_NAME}.fc DESTINATION selinux)
+	add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
+		WORKING_DIRECTORY selinux
+		COMMAND make -f /usr/share/selinux/devel/Makefile)
+	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/selinux/${PROJECT_NAME}.pp
+		DESTINATION /usr/share/selinux/packages/${PROJECT_NAME})
+endif()
+
 install(TARGETS ${PROJECT_NAME} DESTINATION "sbin")
 install(FILES README.md README_UPGRADE.md main.cf.ex DESTINATION "${DOC_DIR}")
 install(SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/postinstall.cmake")
