=== debian/changelog ===
postsrsd (1.5-2) unstable; urgency=medium

  * Increase hashlength for unit tests (cherry-picked from upstream db9ed58)
  * Fix SHA-1 implementation on big endian architectures (cherry-picked from
    upstream 0b8f8be, Closes: #921189)

 -- Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>  Sat, 23 Feb 2019 14:27:44 +0100

postsrsd (1.5-1) unstable; urgency=medium

  [ Tomasz Buchert ]
  * Update Standards-Version to 4.3.0
  * Update to debhelper compat level 12
  * Update Vcs-* fields to salsa

  [ Oxan van Leeuwen ]
  * New upstream release
  * Add 'm' permission to apparmor profile (Closes: #915118)

 -- Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>  Sat, 19 Jan 2019 01:53:50 +0100
