=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	install -m 0644 obj-$(DEB_HOST_GNU_TYPE)/postsrsd.systemd debian/postsrsd/lib/systemd/system/postsrsd.service
 	install -m 0644 obj-$(DEB_HOST_GNU_TYPE)/postsrsd.default debian/postsrsd/usr/share/postsrsd/postsrsd.template
 	install -m 0755 obj-$(DEB_HOST_GNU_TYPE)/postsrsd.sysv-lsb debian/postsrsd/etc/init.d/postsrsd
-	install -m 0644 obj-$(DEB_HOST_GNU_TYPE)/postsrsd.upstart debian/postsrsd/etc/init/postsrsd.conf
 
 override_dh_installinit:
-	dh_installinit --restart-after-upgrade --onlyscripts
+	dh_installinit --restart-after-upgrade --only-scripts
