## postsrsd 1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,8 @@
 cmake_minimum_required(VERSION 2.4)
-if(COMMAND cmake_policy)
-    if(POLICY CMP0026)
-        cmake_policy(SET CMP0026 OLD)
-    endif()
-endif()
 project(postsrsd C)
 include(CheckIncludeFile)
+include(CheckTypeSize)
+include(TestBigEndian)
 
 option(GENERATE_SRS_SECRET "Generate a random SRS secret if none exists during install" ON)
 option(USE_APPARMOR "Enable AppArmor profile" OFF)
@@ -24,6 +21,7 @@
 find_program(OPENSSL openssl DOC "path to OpenSSL executable")
 find_program(INSSERV insserv DOC "path to insserv executable")
 find_program(CHKCONFIG chkconfig DOC "path to chkconfig executable")
+find_program(SYSTEMD systemd)
 find_library(LIBSOCKET socket)
 find_library(LIBNSL nsl)
 
@@ -60,8 +58,15 @@
     add_definitions(-DHAVE_SYS_TYPES_H)
 endif()
 
+test_big_endian(WORDS_BIGENDIAN)
+if(WORDS_BIGENDIAN)
+    add_definitions(-DWORDS_BIGENDIAN)
+endif()
+check_type_size("unsigned long" SIZEOF_UNSIGNED_LONG)
+add_definitions(-DSIZEOF_UNSIGNED_LONG=${SIZEOF_UNSIGNED_LONG})
+
 if(NOT DEFINED INIT_FLAVOR)
-	if(IS_DIRECTORY "${SYSD_UNIT_DIR}" AND EXISTS "/usr/lib/systemd/systemd")
+    if(SYSTEMD)
         message(STATUS "Detected init flavor: systemd")
         set(INIT_FLAVOR "systemd" CACHE STRING "Init daemon of this system")
     elseif(IS_DIRECTORY "${SYSCONF_DIR}/init" AND EXISTS "/lib/init/upstart-job")
@@ -89,9 +94,7 @@
     target_link_libraries(${PROJECT_NAME} ${LIBSOCKET} ${LIBNSL})
     target_link_libraries(${PROJECT_NAME}_tests ${LIBSOCKET} ${LIBNSL})
 endif()
-
-get_target_property(POSTSRSD ${PROJECT_NAME} LOCATION)
-get_filename_component(POSTSRSD ${POSTSRSD} NAME_WE)
+set(POSTSRSD "${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX}")
 set(APPARMOR_PROFILE "${CMAKE_INSTALL_PREFIX}/sbin/${POSTSRSD}")
 string(REGEX REPLACE "^/+" "" APPARMOR_PROFILE "${APPARMOR_PROFILE}")
 string(REPLACE "/" "." APPARMOR_PROFILE "${APPARMOR_PROFILE}")
