=== debian/changelog ===
postsrsd (1.6-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.5.0 (no changes required)
  * Add Rules-Requires-Root: no
  * Fix init script to properly stop with dpkg >= 1.19.3 (cherry-pick upstream
    02efc02)

 -- Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>  Fri, 17 Apr 2020 13:36:33 +0200
