=== debian/control ===
Source: postsrsd
Maintainer: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
Section: mail
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               dh-apparmor,
               po-debconf
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/postsrsd
Vcs-Git: https://salsa.debian.org/debian/postsrsd.git
Homepage: https://github.com/roehling/postsrsd

Package: postsrsd
Architecture: any
Depends: adduser, debconf, lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Sender Rewriting Scheme (SRS) lookup table for Postfix
 PostSRSd provides Sender Rewriting Scheme (SRS) support for Postfix via
 TCP-based lookup tables. SRS is needed if your mail server acts as a forwarder,
 and the mail originates from a server with Sender Policy Framework (SPF)
 enabled.
