## postsrsd 1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
-cmake_minimum_required(VERSION 2.4)
-project(postsrsd C)
+cmake_minimum_required(VERSION 3.0)
+project(postsrsd VERSION 1.10 LANGUAGES C)
 include(CheckIncludeFile)
 include(CheckTypeSize)
 include(TestBigEndian)
+include(CTest)
 
 option(GENERATE_SRS_SECRET "Generate a random SRS secret if none exists during install" ON)
 option(USE_APPARMOR "Enable AppArmor profile" OFF)
@@ -21,9 +22,12 @@
 find_program(OPENSSL openssl DOC "path to OpenSSL executable")
 find_program(INSSERV insserv DOC "path to insserv executable")
 find_program(CHKCONFIG chkconfig DOC "path to chkconfig executable")
-find_program(SYSTEMD systemd)
-find_library(LIBSOCKET socket)
-find_library(LIBNSL nsl)
+find_program(SYSTEMCTL systemctl DOC "path to systemctl executable")
+
+if(CMAKE_SYSTEM_NAME MATCHES "SunOS")
+    find_library(LIBSOCKET socket)
+    find_library(LIBNSL nsl)
+endif()
 
 if(BASE64)
     set(BASE64_ENCODE "${BASE64}")
@@ -66,12 +70,9 @@
 add_definitions(-DSIZEOF_UNSIGNED_LONG=${SIZEOF_UNSIGNED_LONG})
 
 if(NOT DEFINED INIT_FLAVOR)
-    if(SYSTEMD)
+    if(SYSTEMCTL)
         message(STATUS "Detected init flavor: systemd")
         set(INIT_FLAVOR "systemd" CACHE STRING "Init daemon of this system")
-    elseif(IS_DIRECTORY "${SYSCONF_DIR}/init" AND EXISTS "/lib/init/upstart-job")
-        message(STATUS "Detected init flavor: upstart")
-        set(INIT_FLAVOR "upstart" CACHE STRING "Init daemon of this system")
     elseif(IS_DIRECTORY "${SYSCONF_DIR}/init.d" AND EXISTS "${SYSCONF_DIR}/init.d/functions")
         message(STATUS "Detected init flavor: sysv-redhat")
         set(INIT_FLAVOR "sysv-redhat" CACHE STRING "Init daemon of this system")
@@ -85,15 +86,14 @@
     endif()
 endif()
 
+add_definitions(-DPOSTSRSD_VERSION=\"${PROJECT_VERSION}\")
 add_executable(${PROJECT_NAME} postsrsd.c sha1.c srs2.c)
-enable_testing()
-add_executable(${PROJECT_NAME}_tests tests.c sha1.c srs2.c)
-add_test(AllTests ${PROJECT_NAME}_tests)
 
-if(${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
+if(CMAKE_SYSTEM_NAME MATCHES "SunOS")
     target_link_libraries(${PROJECT_NAME} ${LIBSOCKET} ${LIBNSL})
     target_link_libraries(${PROJECT_NAME}_tests ${LIBSOCKET} ${LIBNSL})
 endif()
+
 set(POSTSRSD "${PROJECT_NAME}${CMAKE_EXECUTABLE_SUFFIX}")
 set(APPARMOR_PROFILE "${CMAKE_INSTALL_PREFIX}/sbin/${POSTSRSD}")
 string(REGEX REPLACE "^/+" "" APPARMOR_PROFILE "${APPARMOR_PROFILE}")
@@ -101,12 +101,17 @@
 
 configure_file(init/${PROJECT_NAME}.sysv-lsb.in ${PROJECT_NAME}.sysv-lsb @ONLY)
 configure_file(init/${PROJECT_NAME}.sysv-redhat.in ${PROJECT_NAME}.sysv-redhat @ONLY)
-configure_file(init/${PROJECT_NAME}.upstart.in ${PROJECT_NAME}.upstart @ONLY)
 configure_file(init/${PROJECT_NAME}.apparmor.in ${PROJECT_NAME}.apparmor @ONLY)
 configure_file(init/${PROJECT_NAME}.systemd.in ${PROJECT_NAME}.systemd @ONLY)
 configure_file(init/${PROJECT_NAME}.default.in ${PROJECT_NAME}.default @ONLY)
+configure_file(init/${PROJECT_NAME}-systemd-launcher.in ${PROJECT_NAME}-systemd-launcher @ONLY)
 
 configure_file(postinstall.cmake.in postinstall.cmake @ONLY)
+
+if(BUILD_TESTING)
+    add_executable(${PROJECT_NAME}_tests tests.c sha1.c srs2.c)
+    add_test(NAME AllTests COMMAND ${PROJECT_NAME}_tests)
+endif()
 
 if(HELP2MAN)
 add_custom_command(TARGET ${PROJECT_NAME} POST_BUILD
@@ -130,6 +135,6 @@
 endif()
 
 install(TARGETS ${PROJECT_NAME} DESTINATION "sbin")
+install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-systemd-launcher DESTINATION "share/${PROJECT_NAME}")
 install(FILES README.md README_UPGRADE.md main.cf.ex DESTINATION "${DOC_DIR}")
 install(SCRIPT "${CMAKE_CURRENT_BINARY_DIR}/postinstall.cmake")
-
