=== debian/changelog ===
postsrsd (1.10-2) unstable; urgency=medium

  * Fix CVE-2021-35525: potential DoS when Postfix sends certain long data
    fields such as multiple concatenated email addresses. Fix backported from
    upstream commit 077be98d8c8. (Closes: #990439)

 -- Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>  Wed, 14 Jul 2021 21:21:11 +0200

postsrsd (1.10-1) unstable; urgency=medium

  * New upstream release (Closes: #975633)
  * Drop patches integrated upstream
  * Run upstream blackbox test during build
  * Add autopkgtest for a roundtrip rewrite
  * Don't write an empty SRS_DOMAIN setting if no value is provided by the user
  * Don't replace entered domain with default if preconfiguration is used
  * Update to debhelper compat level 13
  * Update Standards-Version to 4.5.1 (no changes required)

 -- Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>  Wed, 02 Dec 2020 22:36:36 +0100
