=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Maintainer: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
 Section: mail
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 12),
+Build-Depends: bats,
+               cmake,
+               debhelper-compat (= 13),
                dh-apparmor,
+               faketime,
                po-debconf
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/postsrsd
 Vcs-Git: https://salsa.debian.org/debian/postsrsd.git
