=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,11 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -O--buildsystem=cmake -- -DCMAKE_BUILD_TYPE=Release -DGENERATE_SRS_SECRET=OFF -DCHROOT_DIR=/var/lib/postsrsd -DUSE_APPARMOR=ON -DINIT_FLAVOR=
+	dh_auto_configure --buildsystem=cmake -- -DCMAKE_BUILD_TYPE=Release -DGENERATE_SRS_SECRET=OFF -DCHROOT_DIR=/var/lib/postsrsd -DUSE_APPARMOR=ON -DINIT_FLAVOR=
+
+override_dh_auto_test:
+	dh_auto_test --buildsystem=cmake
+	bats run_postsrsd_tests.bats
 
 override_dh_install:
 	dh_install
