=== debian/tests/control ===
Tests: rewrite
Restrictions: isolation-container
# Install postfix to get postconf, so that there's a domain setting even if the debconf configuration is skipped.
Depends: @, postfix, bash
