=== debian/changelog ===
postsrsd (2.0.11-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Abhijith PA ]
  * New upstream release.
  * Add myself as maintainer. (Closes: #1017361)
  * Update standards version to 4.7.2, no changes needed.
  * Add d/NEWS with migration information.
  * d/rules: Remove /lib dir created during build. usrmerge.
  * d/po/ca.po:Added po-debconf Catalan translation (Closes: #1106342)
    Thanks to Carles Pina i Estany <carles@pina.cat> for MR.
  * d/po/sv.po: Add·po-debconf·Swedish·translation  (Closes: #1072289)
    Thanks to Martin Bagge / brother <brother@persilja.net>
  * Add back postsrsd CHROOT_DIR in rules
  * Add python3 to build-depends to run optional blackbox tests.
  * Add d/install to move config file to /etc/default.
  * d/rules: remove build time generated /usr/lib/sysusers.d dir.

 -- Abhijith PA <abhijith@debian.org>  Mon, 01 Sep 2025 18:06:07 +0530

postsrsd (1.10-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * removed obsolete dependency on lsb-base

 -- Raju Devidas <mail@raju.dev>  Mon, 18 Mar 2024 14:39:24 +0530
